# Quick start guide

Prepare a [BLT file](https://yingtongli.me/git/OpenTally/about/docs/blt-fmt.md) containing the ballot papers in the election. If you would just like to see a demonstration election, you can download a sample BLT file <a href="https://yingtongli.me/git/OpenTally/plain/tests/data/prsa1.blt" target="_blank">here</a>.

Launch OpenTally at <a href="/opentally/stv/" target="_blank">https://yingtongli.me/opentally/stv/</a>.

In the top-right corner of the page, click *Browse* and select the BLT file you prepared or downloaded:

![Browse button](/opentally/assets/docs/005.png){: style="max-height:45px;display:block;margin:0 auto" }

Click the *Count* button to generate the result sheet for the election:

![Result sheet](/opentally/assets/docs/010.png){: style="max-height:500px;display:block;margin:0 auto" }

<!-- For more details on how to interpret the result sheet, see TODO. -->

To change the STV rules used to count the election, click the *Preset* dropdown at the top of the page, and choose a preset. Alternatively, click *Show advanced options*. A detailed explanation of the various presets and options can be found [here](/opentally/docs/options.html).

Once the count is complete, you can click *Print result* to generate a printable result report or PDF. To ensure the result report displays correctly, check that the paper size in the print window matches the paper size selected in OpenTally, the print orientation is set to landscape, and the scale is set to 100%.
